#ifndef DISPLAY_H
#define DISPLAY_H

#include <lvgl.h>
#include <ESP_Panel_Library.h>                          // Include the ESP_Panel library for GFX and touch support
#include <ESP_IOExpander_Library.h>

#define LVGL_PORT_TASK_MAX_DELAY_MS         (500)       // The maximum delay of the LVGL process task, in milliseconds
#define LVGL_PORT_TASK_MIN_DELAY_MS         (2)         // The minimum delay of the LVGL process task, in milliseconds
#define LVGL_PORT_TASK_STACK_SIZE           (10 * 1024) // The stack size of the LVGL process task, in bytes
#define LVGL_PORT_TASK_PRIORITY             (2)         // The priority of the LVGL process task
#define LVGL_PORT_TASK_CORE                 (-1)        // The core of the LVGL process task, `-1` means the don't specify the core
#define LVGL_PORT_TICK_PERIOD_MS            (2)         // The period of the LVGL tick task, in milliseconds

void SetupDisplay();
void DemoDisplay();
#endif
